#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

MsgBox, 4, GL800 drivers installation, Would you like to install the Windows and Simulink Graphtec GL800 drivers?

IfMsgBox, Yes
{
	FileInstall, graphtecgl800.exe, C:\WINDOWS\system32\graphtecgl800.exe
	FileInstall, gtcusbr.dll, C:\WINDOWS\system32\gtcusbr.dll
	FileInstall, gl800.m, gl800.m.tmp
	FileInstall, gl800ex.mdl, gl800ex.mdl.tmp
	
	FileSelectFolder, Folder, C:\Program Files\MATLAB\, 0, Please select the directory corresponding to the used Matlab version.
	Folder := RegExReplace(Folder, "\\$")

	IfExist, %Folder%\toolbox\local\
	{
		FileMove, gl800.m.tmp, %Folder%\toolbox\local\gl800.m
		FileMove, gl800ex.mdl.tmp, %Folder%\toolbox\local\gl800ex.mdl

		MsgBox, 0, GL800 Drivers Installation done, Done! Please restart Matlab and type "help gl800".
	}
	else
		MsgBox, 0, GL800 Drivers Installation error, %Folder%\toolbox\local\ doesn't exist. Aborted.
}
else
	MsgBox, 0, GL800 Drivers Installation aborted, Aborted.